<?php
	if (isset($_GET['bsa_action'])) {
		$getParam = $_GET['bsa_action'];
	} else {
		$getParam = NULL;
	}

	if (get_option('bsa_plugin_symbol_position') == 'before') {
		$before = get_option('bsa_plugin_currency_symbol');
	} else {
		$before = '';
	}
	if (get_option('bsa_plugin_symbol_position') != 'before') {
		$after = get_option('bsa_plugin_currency_symbol');
	} else {
		$after = '';
	}

	$model = new BSA_Model();
	$getActiveFanpages = $model->getActiveFanpages();
	$getNotPaidFanpages = $model->getNotPaidFanpages();
	$getArchiveFanpages = $model->getArchiveFanpages();
	$getBlockedFanpages = $model->getBlockedFanpages();
?>
	<h2>
		<i class="dashicons dashicons-megaphone"></i> BSA Dashboard
	</h2>

	<?php
		$model->getAdminAction();

		if ($model->validationBlocked()) { ?>
			<div class="updated settings-error" id="setting-error-settings_updated">
				<p><strong>Order blocked.</strong>
			</div>
		<?php } elseif ($model->validationUnblocked()) { ?>
			<div class="updated settings-error" id="setting-error-settings_updated">
				<p><strong>Order unblocked.</strong>
			</div>
		<?php } elseif ($model->validationPaid()) { ?>
			<div class="updated settings-error" id="setting-error-settings_updated">
				<p><strong>Order marked as paid.</strong>
			</div>
		<?php }
	?>

	<h3>Published orders (<?php echo count($getActiveFanpages) ?>)</h3>
	<table class="wp-list-table widefat bsaListTable">
		<thead>
			<tr>
				<th></th>
				<th style="" class="manage-column post-title page-title column-title">Ad content</th>
				<th style="" class="manage-column">Buyer</th>
				<th style="" class="manage-column">Stats</th>
				<th style="" class="manage-column">Expiration time</th>
				<th style="" class="manage-column">Order details</th>
			</tr>
		</thead>

		<tbody>
		<?php
		if (count($getActiveFanpages) > 0) {
			foreach ($getActiveFanpages as $key => $entry) {

				if ($key % 2) {
					$alternate = '';
				} else {
					$alternate = 'alternate';
				}
				?>

				<tr class="<?php echo $alternate; ?>">
					<td class="bsaAdminImg">
						<img class="bsaAdminThumb" src="<?php echo plugins_url('/bsa-socialeo/thumbs/').$entry->img; ?>">
					</td>
					<td class="post-title page-title column-title">
						<strong><a href="<?php echo $entry->url; ?>"><?php echo $entry->title; ?></a></strong>
						<?php echo $entry->description; ?>
						<div class="row-actions">
							<form action="<?php echo admin_url('admin.php?page=bsa-sub-menu'); ?>" method="post">
								<input type="hidden" value="block" name="bsaAction">
								<input type="hidden" value="<?php echo $entry->id; ?>" name="orderId">
								<span class="bsaActionBtn bsaBlockBtn">
									<input type="submit" value="Block" id="submit" name="submit">
								</span>
							</form>
							|
							<span class="bsaPaidBtn">
								<a href="/wp-admin/admin.php?page=bsa-sub-menu-add-new&ad_id=<?php echo $entry->id; ?>">
									Edit
								</a>
							</span>
						</div>
					</td>
					<td>
						<?php echo $entry->buyer_email; ?>
						<br>
						<a target="_blank" href="http://<?php echo $_SERVER['SERVER_NAME'] ?>/?bsa_stats=1&bsa_email=<?php echo str_replace('@', '%40', $entry->buyer_email); ?>&bsa_id=<?php echo $entry->id; ?>#bsaStats">
							URL to statistics
						</a>
					</td>
					<td>
						Views <strong><?php echo number_format($entry->views, 0, '', ' '); ?></strong><br>
						Clicks <strong><?php echo number_format($entry->clicks, 0, '', ' '); ?></strong><br>
						<?php if ($entry->views != 0 && $entry->clicks != 0): ?>
							CTR <strong><?php echo number_format(($entry->clicks / $entry->views) * 100, 2, '.', '').'%'; ?></strong>
						<?php endif; ?>
					</td>
					<td>
						<strong><?php echo date("F j, Y", $entry->expiration_time); ?></strong><br>
						<?php echo date("g:i a", $entry->expiration_time); ?>
					</td>
					<td>
						Order ID <strong><?php echo $entry->id; ?></strong><br>
						Cost <strong><?php echo $before.$entry->cost.$after; ?></strong><br>
						<? if ( $entry->paid == 1 ): ?>
							<span class="bsaColorGreen">Paid</span>
						<? else: ?>
							<span class="bsaColorRed">Not paid</span>
						<? endif; ?>
					</td>
				</tr>

			<?php }
		} else {
			?>

			<tr>
				<td style="text-align: center" colspan="7">
					List empty.
				</td>
			</tr>

		<?php } ?>
		</tbody>
	</table>

	<h3>Not paid orders</h3>
	<table class="wp-list-table widefat bsaListTable">
		<thead>
			<tr>
				<th></th>
				<th style="" class="manage-column post-title page-title column-title">Ad content</th>
				<th style="" class="manage-column">Buyer</th>
				<th style="" class="manage-column">Stats</th>
				<th style="" class="manage-column">Expiration time</th>
				<th style="" class="manage-column">Order details</th>
			</tr>
		</thead>

		<tbody>
		<?php
		if (count($getNotPaidFanpages) > 0) {
			foreach ($getNotPaidFanpages as $key => $entry) {

				if ($key % 2) {
					$alternate = '';
				} else {
					$alternate = 'alternate';
				}
				?>

				<tr class="<?php echo $alternate; ?>">
					<td class="bsaAdminImg">
						<img class="bsaAdminThumb" src="<?php echo plugins_url('/bsa-socialeo/thumbs/').$entry->img; ?>">
					</td>
					<td class="post-title page-title column-title">
						<strong><a href="<?php echo $entry->url; ?>"><?php echo $entry->title; ?></a></strong>
						<?php echo $entry->description; ?>
						<div class="row-actions">
							<form action="" method="post">
								<input type="hidden" value="paid" name="bsaAction">
								<input type="hidden" value="<?php echo $entry->id; ?>" name="orderId">
								<span class="bsaActionBtn bsaPaidBtn"><input type="submit" value="Mark as paid" id="submitPaid" name="submit"></span>
							</form>
							|
							<form action="" method="post">
								<input type="hidden" value="block" name="bsaAction">
								<input type="hidden" value="<?php echo $entry->id; ?>" name="orderId">
								<span class="bsaActionBtn bsaBlockBtn"><input type="submit" value="Block" id="submitBlock" name="submit"></span>
							</form>
							|
							<span class="bsaPaidBtn">
								<a href="/wp-admin/admin.php?page=bsa-sub-menu-add-new&ad_id=<?php echo $entry->id; ?>">
									Edit
								</a>
							</span>
						</div>
					</td>
					<td>
						<?php echo $entry->buyer_email; ?>
					</td>
					<td>
						Views <strong><?php echo number_format($entry->views, 0, '', ' '); ?></strong><br>
						Clicks <strong><?php echo number_format($entry->clicks, 0, '', ' '); ?></strong><br>
						<?php if ($entry->views != 0 && $entry->clicks != 0): ?>
							CTR <strong><?php echo number_format(($entry->clicks / $entry->views) * 100, 2, '.', '').'%'; ?></strong>
						<?php endif; ?>
					</td>
					<td>
						<strong><?php echo date("F j, Y", $entry->expiration_time); ?></strong><br>
						<?php echo date("g:i a", $entry->expiration_time); ?>
					</td>
					<td>
						Order ID <strong><?php echo $entry->id; ?></strong><br>
						Cost <strong><?php echo $before.$entry->cost.$after; ?></strong><br>
						<? if ( $entry->paid == 1 ): ?>
							<span class="bsaColorGreen">Paid</span>
						<? else: ?>
							<span class="bsaColorRed">Not paid</span>
						<? endif; ?>
					</td>
				</tr>

			<?php }
		} else {
			?>

			<tr>
				<td style="text-align: center" colspan="7">
					List empty.
				</td>
			</tr>

		<?php } ?>
		</tbody>
	</table>

	<h3>Blocked orders</h3>
	<table class="wp-list-table widefat bsaListTable">
		<thead>
		<tr>
			<th></th>
			<th style="" class="manage-column post-title page-title column-title">Ad content</th>
			<th style="" class="manage-column">Buyer</th>
			<th style="" class="manage-column">Stats</th>
			<th style="" class="manage-column">Expiration time</th>
			<th style="" class="manage-column">Order details</th>
		</tr>
		</thead>

		<tbody>
		<?php
		if (count($getBlockedFanpages) > 0) {
			foreach ($getBlockedFanpages as $key => $entry) {

				if ($key % 2) {
					$alternate = '';
				} else {
					$alternate = 'alternate';
				}
				?>

				<tr class="<?php echo $alternate; ?>">
					<td class="bsaAdminImg">
						<img class="bsaAdminThumb" src="<?php echo plugins_url('/bsa-socialeo/thumbs/').$entry->img; ?>">
					</td>
					<td class="post-title page-title column-title">
						<strong><a href="<?php echo $entry->url; ?>"><?php echo $entry->title; ?></a></strong>
						<?php echo $entry->description; ?>
						<div class="row-actions">
							<form action="" method="post">
								<input type="hidden" value="unblock" name="bsaAction">
								<input type="hidden" value="<?php echo $entry->id; ?>" name="orderId">
								<span class="bsaActionBtn bsaPaidBtn"><input type="submit" value="Unblock" id="submitBlock" name="submit"></span>
							</form>
							|
							<span class="bsaPaidBtn">
								<a href="/wp-admin/admin.php?page=bsa-sub-menu-add-new&ad_id=<?php echo $entry->id; ?>">
									Edit
								</a>
							</span>
						</div>
					</td>
					<td>
						<?php echo $entry->buyer_email; ?>
					</td>
					<td>
						Views <strong><?php echo number_format($entry->views, 0, '', ' '); ?></strong><br>
						Clicks <strong><?php echo number_format($entry->clicks, 0, '', ' '); ?></strong><br>
						<?php if ($entry->views != 0 && $entry->clicks != 0): ?>
							CTR <strong><?php echo number_format(($entry->clicks / $entry->views) * 100, 2, '.', '').'%'; ?></strong>
						<?php endif; ?>
					</td>
					<td>
						<strong><?php echo date("F j, Y", $entry->expiration_time); ?></strong><br>
						<?php echo date("g:i a", $entry->expiration_time); ?>
					</td>
					<td>
						Order ID <strong><?php echo $entry->id; ?></strong><br>
						Cost <strong><?php echo $before.$entry->cost.$after; ?></strong><br>
						<? if ( $entry->paid == 1 ): ?>
							<span class="bsaColorGreen">Paid</span>
						<? else: ?>
							<span class="bsaColorRed">Not paid</span>
						<? endif; ?>
					</td>
				</tr>

			<?php }
		} else {
			?>

			<tr>
				<td style="text-align: center" colspan="7">
					List empty.
				</td>
			</tr>

		<?php } ?>
		</tbody>
	</table>

	<h3>Archive orders</h3>
	<table class="wp-list-table widefat bsaListTable">
		<thead>
			<tr>
				<th></th>
				<th style="" class="manage-column post-title page-title column-title">Ad content</th>
				<th style="" class="manage-column">Buyer</th>
				<th style="" class="manage-column">Stats</th>
				<th style="" class="manage-column">Expiration time</th>
				<th style="" class="manage-column">Order details</th>
			</tr>
		</thead>

		<tbody>
		<?php
		if (count($getArchiveFanpages) > 0) {
			foreach ($getArchiveFanpages as $key => $entry) {
				if ($key % 2) {
					$alternate = '';
				} else {
					$alternate = 'alternate';
				}
				?>

				<tr class="<?php echo $alternate; ?>">
					<td class="bsaAdminImg">
						<img class="bsaAdminThumb" src="<?php echo plugins_url('/bsa-socialeo/thumbs/').$entry->img; ?>">
					</td>
					<td class="post-title page-title column-title">
						<strong><a href="<?php echo $entry->url; ?>"><?php echo $entry->title; ?></a></strong>
						<?php echo $entry->description; ?>
					</td>
					<td>
						<?php echo $entry->buyer_email; ?>
					</td>
					<td>
						Views <strong><?php echo number_format($entry->views, 0, '', ' '); ?></strong><br>
						Clicks <strong><?php echo number_format($entry->clicks, 0, '', ' '); ?></strong><br>
						<?php if ($entry->views != 0 && $entry->clicks != 0): ?>
							CTR <strong><?php echo number_format(($entry->clicks / $entry->views) * 100, 2, '.', '').'%'; ?></strong>
						<?php endif; ?>
					</td>
					<td>
						<strong><?php echo date("F j, Y", $entry->expiration_time); ?></strong><br>
						<?php echo date("g:i a", $entry->expiration_time); ?>
					</td>
					<td>
						Order ID <strong><?php echo $entry->id; ?></strong><br>
						Cost <strong><?php echo $before.$entry->cost.$after; ?></strong><br>
						<? if ( $entry->paid == 1 ): ?>
							<span class="bsaColorGreen">Paid</span>
						<? else: ?>
							<span class="bsaColorRed">Not paid</span>
						<? endif; ?>
					</td>
				</tr>

			<?php }
		} else {
			?>

			<tr>
				<td style="text-align: center" colspan="7">
					List empty.
				</td>
			</tr>

		<?php } ?>
		</tbody>
	</table>

<?php if ($model->validationBlocked() or $model->validationUnblocked() or $model->validationPaid()) { ?>
	<script>
		window.location=document.location.href
	</script>
<?php } ?>