<?php
function selectedOpt($optName, $optValue)
{
	if(get_option('bsa_plugin_'.$optName) == $optValue) {
		echo 'selected="selected"';
	}
}

function validValue($variableName)
{
	if($_SERVER["REQUEST_METHOD"] == "POST" && $_POST[$variableName] != '') {
		echo $_POST[$variableName];
	} else {
		echo get_option('bsa_plugin_'.$variableName);
	}
}

?>
	<h2><i class="dashicons-before dashicons-admin-settings"></i> Settings</h2>
	<form action="" method="post">
		<input type="hidden" value="updateSettings" name="bsaAction">
		<table class="bsaAdminTable form-table">
			<tbody class="bsaTbody">
				<tr>
					<th colspan="2">
						<h3><span class="dashicons dashicons-cart"></span> Payments & offers settings</h3>
					</th>
				</tr>
				<tr>
					<th scope="row"><label for="bsa_opt_paypal">PayPal E-mail</label></th>
					<td><input type="email" class="regular-text code" value="<?php validValue('paypal'); ?>" id="bsa_opt_paypal" name="paypal">
						<p class="description">At this address you will receive PayPal payments.</td>
				</tr>
				<tr>
					<th scope="row"><label for="bsa_opt_currency_code">Currency PayPal Code</label></th>
					<td><input type="text" class="regular-text ltr" value="<?php echo get_option('bsa_plugin_currency_code') ?>" id="bsa_opt_currency_code" name="currency_code">
						<p class="description">More information about Currency Codes <a href="https://developer.paypal.com/docs/classic/api/currency_codes/">here</a>.</p></td>
				</tr>
				<tr>
					<th scope="row"><label for="bsa_opt_price">Price (contract 1st)</label></th>
					<td><input type="text" class="regular-text ltr" value="<?php validValue('price'); ?>" id="bsa_opt_price" name="price"> <abbr title="Correct price format">(eg. <strong>1.45</strong>)</abbr>
						<p class="description">Price for other contracts will be generated in automatically containing discount.</p></td>
				</tr>
				<tr>
					<th scope="row"><label for="bsa_opt_contract_first">Contract 1st (duration, time display)</label></th>
					<td>
						<select id="bsa_opt_contract_first" name="contract_first">
							<option value="7" <?php selectedOpt('contract_first','7'); ?>>1 week</option>
							<option value="14" <?php selectedOpt('contract_first','14'); ?>>2 weeks</option>
							<option value="30" <?php selectedOpt('contract_first','30'); ?>>1 month</option>
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="bsa_opt_contract_second">Contract 2nd (duration, time display)</label></th>
					<td>
						<select id="bsa_opt_contract_second" name="contract_second">
							<option value="14" <?php selectedOpt('contract_second','14'); ?>>2 weeks</option>
							<option value="30" <?php selectedOpt('contract_second','30'); ?>>1 month</option>
							<option value="60" <?php selectedOpt('contract_second','60'); ?>>2 months</option>
							<option value="90" <?php selectedOpt('contract_second','90'); ?>>3 months</option>
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="bsa_opt_contract_third">Contract 3rd (duration, time display)</label></th>
					<td>
						<select id="bsa_opt_contract_third" name="contract_third">
							<option value="30" <?php selectedOpt('contract_third','30'); ?>>1 month</option>
							<option value="90" <?php selectedOpt('contract_third','90'); ?>>3 months</option>
							<option value="180" <?php selectedOpt('contract_third','180'); ?>>6 months</option>
							<option value="365" <?php selectedOpt('contract_third','365'); ?>>12 months</option>
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="bsa_opt_discount_second">Discount for 2nd contract</label></th>
					<td><input type="text" class="regular-text ltr" value="<?php echo get_option('bsa_plugin_discount_second') ?>" id="bsa_opt_discount_second" name="discount_second"> <abbr title="Percentage">%</abbr></td>
				</tr>
				<tr>
					<th scope="row"><label for="bsa_opt_discount_third">Discount for 3rd contract</label></th>
					<td><input type="text" class="regular-text ltr" value="<?php echo get_option('bsa_plugin_discount_third') ?>" id="bsa_opt_discount_second" name="discount_third"> <abbr title="Percentage">%</abbr></td>
				</tr>
				<tr>
					<th scope="row"><label for="bsa_opt_currency_symbol">Currency symbol</label></th>
					<td><input type="text" class="regular-text ltr" value="<?php echo get_option('bsa_plugin_currency_symbol') ?>" id="bsa_opt_currency_symbol" name="currency_symbol"></td>
				</tr>
				<tr>
					<th scope="row">Price format (symbol position)</th>
					<td>
						<fieldset>
							<label title="symbol before"><input type="radio" <?php if(get_option('bsa_plugin_symbol_position') == 'before') { echo 'checked="checked"'; } ?> value="before" name="symbol_position"><strong>before</strong> price <span>(eg. <strong>$10</strong>)</span></label><br>
							<label title="symbol after"><input type="radio" <?php if(get_option('bsa_plugin_symbol_position') == 'after') { echo 'checked="checked"'; } ?>value="after" name="symbol_position"><strong>after</strong> price <span>(eg. <strong>10$</strong>)</span></label>
						</fieldset>
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="bsa_opt_thumb_size">Thumbnail size (default 100kb)</label></th>
					<td><input type="text" class="regular-text ltr" value="<?php echo get_option('bsa_plugin_thumb_size') ?>" id="bsa_opt_thumb_size" name="thumb_size"> <abbr title="kilobyte">kb</abbr></td>
				</tr>
				<tr>
					<th scope="row"><label for="bsa_opt_thumb_w">Thumbnail, maximum width</label></th>
					<td><input type="text" class="regular-text ltr" value="<?php echo get_option('bsa_plugin_thumb_w') ?>" id="bsa_opt_thumb_w" name="thumb_w"> <abbr title="pixels">px</abbr></td>
				</tr>
				<tr>
					<th class="bsaLast" scope="row"><label for="bsa_opt_thumb_h">Thumbnail, maximum height</label></th>
					<td class="bsaLast"><input type="text" class="regular-text ltr" value="<?php echo get_option('bsa_plugin_thumb_h') ?>" id="bsa_opt_thumb_h" name="thumb_h"> <abbr title="pixels">px</abbr></td>
				</tr>
			</tbody>
			<tbody class="bsaTbody">
				<tr>
					<th colspan="2">
						<h3><span class="dashicons dashicons-tagcloud"></span> Layout settings</h3>
					</th>
				</tr>
				<tr>
					<th scope="row"><label for="bsa_opt_style">CSS Style</label></th>
					<td>
						<select id="bsa_opt_style" name="style">
							<?php

							$styles = array();
							foreach (glob(plugin_dir_path( __FILE__ )."../frontend/css/*") as $file) {
								$files = $file;
								$styles = explode('/',$files);
								$style = array_reverse($styles);
								$name = explode('.', $style[0]);
								if ($name[0] != 'asset') {
								?>
									<option value="<?php echo $name[0]; ?>" <?php selectedOpt('style', $name[0]); ?>> <?php echo $name[0]; ?></option>
								<?php
								}
							}

							?>
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="bsa_opt_max_items">Plugin, maximum number of items in sale</label></th>
					<td>
						<select id="bsa_opt_max_items" name="max_items">
							<?php

							for ($i = PLUGIN_MIN_ITEMS; $i <= PLUGIN_MAX_ITEMS; $i++) {
								echo $i;
								?>
								<option value="<?php echo $i; ?>" <?php selectedOpt('max_items', $i); ?>> <?php echo $i; ?> items</option>
								<?php
							}

							?>
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="bsa_opt_col_per_row">Plugin, number of columns per row</label></th>
					<td>
						<select id="bsa_opt_col_per_row" name="col_per_row">
							<?php

							for ($i = 1; $i < 5; $i++) {
								echo $i;
								?>
								<option value="<?php echo $i; ?>" <?php selectedOpt('col_per_row', $i); ?>> <?php echo $i; ?> <?php if($i == 1) { echo 'column'; } else { echo 'columns'; } ?></option>
								<?php
							}

							?>
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="bsa_opt_wgt_max_items">Widget, maximum number of items in sale</label></th>
					<td>
						<select id="bsa_opt_wgt_max_items" name="wgt_max_items">
							<?php

							for ($i = WIDGET_MIN_ITEMS; $i <= WIDGET_MAX_ITEMS; $i++) {
								echo $i;
								?>
								<option value="<?php echo $i; ?>" <?php selectedOpt('wgt_max_items', $i); ?>> <?php echo $i; ?> items</option>
								<?php
							}

							?>
					</td>
				</tr>
				<tr>
					<th colspan="2">
						<h3><span class="dashicons dashicons-admin-appearance"></span> Custom main colors</h3>
					</th>
				</tr>
				<tr>
					<th scope="row"><label for="c_title">Plugin title color</label></th>
					<td>
						<input id="c_title"
							   name="c_title"
							   value="<?php echo get_option('bsa_plugin_'.'c_title') ?>"
							   data-default-color="<?php echo get_option('bsa_plugin_'.'c_title') ?>" type="text" class="bsaColorPicker">
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="bg_color">Plugin background color</label></th>
					<td>
						<input id="bg_color"
							   name="bg_color"
							   value="<?php echo get_option('bsa_plugin_'.'bg_color') ?>"
							   data-default-color="<?php echo get_option('bsa_plugin_'.'bg_color') ?>" type="text" class="bsaColorPicker">
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="c_link">Links color</label></th>
					<td>
						<input id="c_link"
							   name="c_link"
							   value="<?php echo get_option('bsa_plugin_'.'c_link') ?>"
							   data-default-color="<?php echo get_option('bsa_plugin_'.'c_link') ?>" type="text" class="bsaColorPicker">
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="c_link_hover">Links colors (:hover)</label></th>
					<td>
						<input id="c_link_hover"
							   name="c_link_hover"
							   value="<?php echo get_option('bsa_plugin_'.'c_link_hover') ?>"
							   data-default-color="<?php echo get_option('bsa_plugin_'.'c_link_hover') ?>" type="text" class="bsaColorPicker">
					</td>
				</tr>
				<tr>
					<th colspan="2">
						<h3><span class="dashicons dashicons-admin-appearance"></span> Form colors</h3>
					</th>
				</tr>
				<tr>
					<th scope="row"><label for="bg_form">Background color</label></th>
					<td>
						<input id="bg_form"
							   name="bg_form"
							   value="<?php echo get_option('bsa_plugin_'.'bg_form') ?>"
							   data-default-color="<?php echo get_option('bsa_plugin_'.'bg_form') ?>" type="text" class="bsaColorPicker">
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="c_form">Content color</label></th>
					<td>
						<input id="c_form"
							   name="c_form"
							   value="<?php echo get_option('bsa_plugin_'.'c_form') ?>"
							   data-default-color="<?php echo get_option('bsa_plugin_'.'c_form') ?>" type="text" class="bsaColorPicker">
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="bg_form_input">Input background</label></th>
					<td>
						<input id="bg_form_input"
							   name="bg_form_input"
							   value="<?php echo get_option('bsa_plugin_'.'bg_form_input') ?>"
							   data-default-color="<?php echo get_option('bsa_plugin_'.'bg_form_input') ?>" type="text" class="bsaColorPicker">
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="c_form_input">Input color</label></th>
					<td>
						<input id="c_form_input"
							   name="c_form_input"
							   value="<?php echo get_option('bsa_plugin_'.'c_form_input') ?>"
							   data-default-color="<?php echo get_option('bsa_plugin_'.'c_form_input') ?>" type="text" class="bsaColorPicker">
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="c_discount">Discount color</label></th>
					<td>
						<input id="c_discount"
							   name="c_discount"
							   value="<?php echo get_option('bsa_plugin_'.'c_discount') ?>"
							   data-default-color="<?php echo get_option('bsa_plugin_'.'c_discount') ?>" type="text" class="bsaColorPicker">
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="c_submit">Submit button color</label></th>
					<td>
						<input id="c_submit"
							   name="c_submit"
							   value="<?php echo get_option('bsa_plugin_'.'c_submit') ?>"
							   data-default-color="<?php echo get_option('bsa_plugin_'.'c_submit') ?>" type="text" class="bsaColorPicker">
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="bg_submit">Submit button background color</label></th>
					<td>
						<input id="bg_submit"
							   name="bg_submit"
							   value="<?php echo get_option('bsa_plugin_'.'bg_submit') ?>"
							   data-default-color="<?php echo get_option('bsa_plugin_'.'bg_submit') ?>" type="text" class="bsaColorPicker">
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="bc_submit">Submit button border color</label></th>
					<td>
						<input id="bc_submit"
							   name="bc_submit"
							   value="<?php echo get_option('bsa_plugin_'.'bc_submit') ?>"
							   data-default-color="<?php echo get_option('bsa_plugin_'.'bc_submit') ?>" type="text" class="bsaColorPicker">
					</td>
				</tr>
				<tr>
					<th colspan="2">
						<h3><span class="dashicons dashicons-admin-appearance"></span> Items colors</h3>
					</th>
				</tr>
				<tr>
					<th scope="row"><label for="bg_item">Background color</label></th>
					<td>
						<input id="bg_item"
							   name="bg_item"
							   value="<?php echo get_option('bsa_plugin_'.'bg_item') ?>"
							   data-default-color="<?php echo get_option('bsa_plugin_'.'bg_item') ?>" type="text" class="bsaColorPicker">
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="c_item">Content color</label></th>
					<td>
						<input id="c_item"
							   name="c_item"
							   value="<?php echo get_option('bsa_plugin_'.'c_item') ?>"
							   data-default-color="<?php echo get_option('bsa_plugin_'.'c_item') ?>" type="text" class="bsaColorPicker">
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="c_item_url">Item url color</label></th>
					<td>
						<input id="c_item_url"
							   name="c_item_url"
							   value="<?php echo get_option('bsa_plugin_'.'c_item_url') ?>"
							   data-default-color="<?php echo get_option('bsa_plugin_'.'c_item_url') ?>" type="text" class="bsaColorPicker">
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="bg_item_stats">Statistics background color</label></th>
					<td>
						<input id="bg_item_stats"
							   name="bg_item_stats"
							   value="<?php echo get_option('bsa_plugin_'.'bg_item_stats') ?>"
							   data-default-color="<?php echo get_option('bsa_plugin_'.'bg_item_stats') ?>" type="text" class="bsaColorPicker">
					</td>
				</tr>
				<tr>
					<th colspan="2">
						<h3><span class="dashicons dashicons-admin-appearance"></span> Alert colors</h3>
					</th>
				</tr>
				<tr>
					<th scope="row"><label for="c_alert_link">Link color</label></th>
					<td>
						<input id="c_alert_link"
							   name="c_alert_link"
							   value="<?php echo get_option('bsa_plugin_'.'c_alert_link') ?>"
							   data-default-color="<?php echo get_option('bsa_plugin_'.'c_alert_link') ?>" type="text" class="bsaColorPicker">
					</td>
				</tr>
				<tr>
					<th scope="row"><label for="bg_alert_success">Success background color</label></th>
					<td>
						<input id="bg_alert_success"
							   name="bg_alert_success"
							   value="<?php echo get_option('bsa_plugin_'.'bg_alert_success') ?>"
							   data-default-color="<?php echo get_option('bsa_plugin_'.'bg_alert_success') ?>" type="text" class="bsaColorPicker">
					</td>
				</tr>
				<tr>
					<th class="bsaLast" scope="row"><label for="bg_alert_failed">Failed background color</label></th>
					<td class="bsaLast">
						<input id="bg_alert_failed"
							   name="bg_alert_failed"
							   value="<?php echo get_option('bsa_plugin_'.'bg_alert_failed') ?>"
							   data-default-color="<?php echo get_option('bsa_plugin_'.'bg_alert_failed') ?>" type="text" class="bsaColorPicker">
					</td>
				</tr>
			</tbody>
		</table>
		<p class="submit"><input type="submit" value="Save Changes" class="button button-primary" id="submit" name="submit"></p>
	</form>
<script>
	(function($){

		$(document).ready(function(){

			$('.bsaColorPicker').wpColorPicker();

		});

	})(jQuery);
</script>
<?php
?>